Package org.codehaus.groovy.util

# Class ManagedConcurrentMap.Segment<K,​V>

java.lang.Object
java.util.concurrent.locks.AbstractOwnableSynchronizer
java.util.concurrent.locks.AbstractQueuedSynchronizer
org.codehaus.groovy.util.LockableObject
org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment
org.codehaus.groovy.util.AbstractConcurrentMap.Segment<K,​V>
org.codehaus.groovy.util.ManagedConcurrentMap.Segment<K,​V>

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  ManagedConcurrentMap<K,​V>

    public static class ManagedConcurrentMap.Segment<K,​V>
    extends AbstractConcurrentMap.Segment<K,​V>

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

  `java.util.concurrent.locks.AbstractQueuedSynchronizer.ConditionObject`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected ReferenceBundle` | `bundle` |

  ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

  `table`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Segment​(ReferenceBundle bundle, int cap)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected AbstractConcurrentMap.Entry<K,​V>` | `createEntry​(K key, int hash, V value)` |

  ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap.Segment

  `get, getOrPut, put, remove`

  ### Methods inherited from class org.codehaus.groovy.util.LockableObject

  `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

  ### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

  `acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isQueued, owns, release, releaseShared, setState, toString, tryAcquireNanos, tryAcquireShared, tryAcquireSharedNanos, tryReleaseShared`

  ### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

  `getExclusiveOwnerThread, setExclusiveOwnerThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bundle

    protected final ReferenceBundle bundle

- ## Constructor Details

  - ### Segment

    public Segment​(ReferenceBundle bundle, int cap)

- ## Method Details

  - ### createEntry

    protected AbstractConcurrentMap.Entry<K,​V> createEntry​(K key, int hash, V value)
    Specified by:
      `createEntry` in class `AbstractConcurrentMap.Segment<K,​V>`